Loading...
Searching...
No Matches
juce::Decibels Class Reference

## Detailed Description

This class contains some helpful static methods for dealing with decibel values.

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_Decibels.h

## Static Public Member Functions

template<typename Type>
static Type | decibelsToGain (Type decibels, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a dBFS value to its equivalent gain level.
template<typename Type>
static Type | gainToDecibels (Type gain, Type minusInfinityDb=Type(defaultMinusInfinitydB))
| Converts a gain level into a dBFS value.
template<typename Type>
static Type | gainWithLowerBound (Type gain, Type lowerBoundDb)
| Restricts a gain value based on a lower bound specified in dBFS.
template<typename Type>
static String | toString (Type decibels, int decimalPlaces=2, Type minusInfinityDb=Type(defaultMinusInfinitydB), bool shouldIncludeSuffix=true, StringRef customMinusInfinityString={})
| Converts a decibel reading to a string.

## Member Functions

## decibelsToGain()

template<typename Type>

Type juce::Decibels::decibelsToGain | ( | Type | decibels,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB) )

inline static

Converts a dBFS value to its equivalent gain level.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. Any decibel value lower than minusInfinityDb will return a gain of 0.

Referenced by gainWithLowerBound(), juce::dsp::Gain< FloatType >::setGainDecibels(), and juce::dsp::LogRampedValue< FloatType >::setLogParameters().

## gainToDecibels()

template<typename Type>

Type juce::Decibels::gainToDecibels | ( | Type | gain,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB) )

inline static

Converts a gain level into a dBFS value.

A gain of 1.0 = 0 dB, and lower gains map onto negative decibel values. If the gain is 0 (or negative), then the method will return the value provided as minusInfinityDb.

References juce::jmax().

Referenced by juce::dsp::Gain< FloatType >::getGainDecibels().

## gainWithLowerBound()

template<typename Type>

Type juce::Decibels::gainWithLowerBound | ( | Type | gain,
|  | Type | lowerBoundDb )

inline static

Restricts a gain value based on a lower bound specified in dBFS.

This is useful if you want to make sure a gain value never reaches zero.

References decibelsToGain(), jassert, and juce::jmax().

## toString()

template<typename Type>

String juce::Decibels::toString | ( | Type | decibels,
|  | int | decimalPlaces = 2,
|  | Type | minusInfinityDb = Type (defaultMinusInfinitydB),
|  | bool | shouldIncludeSuffix = true,
|  | StringRef | customMinusInfinityString = {} )

inline static

Converts a decibel reading to a string.

By default the returned string will have the 'dB' suffix added, but this can be removed by setting the shouldIncludeSuffix argument to false. If a customMinusInfinityString argument is provided this will be returned if the value is lower than minusInfinityDb, otherwise the return value will be "-INF".

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited